@import url('https://fonts.googleapis.com/css2?family=Cutive+Mono&family=Major+Mono+Display&display=swap');

/* Colour styles */
:root{
	--fg-color: #000000;   /* Light grey for text */
	--mid-color: #e1e1e1;
	--bg-color: #f3f4f5;   /* Dark grey for background */
}
[colour-theme = "dark"]{
	--fg-color: #d2d2d2;   /* Light grey for text */
	--mid-color: #1a1a1a;
	--bg-color: #000;   /* Dark grey for background 101010 */
}

/* Universal */
*{transition: color 0.5s, background-color 0.5s; color: var(--fg-color);}
html{
	scroll-behavior: smooth;
	scrollbar-color: #aaa var(--quaternary-colour); /* Mozilla */
}
::-webkit-scrollbar{ /* Blink browser scrollbar */
	background-color: var(--quaternary-colour);
}
::-webkit-scrollbar-thumb{
	background-color: #aaa;
}
::-moz-selection { /* Code for Firefox */
  color: var(--bg-color);
  background: var(--fg-color);
}

::selection {
  color: var(--bg-color);
  background: var(--fg-color);
}


.animateable{
	opacity: 0;
	animation: fade_on_load 1s forwards;
}

@keyframes fade_on_load{
	from{
		opacity: 0;
		transform: translate(0, 4em);
	}
	to{
		opacity: 1;
	}
}

body{
	user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
	margin: 0;
	font-family: 'Cutive', monospace;
	background-color: #000;
	font-size: 18px;
	scroll-padding-top: 20px;

}

/*@keyframes load_in{
	from{opacity: 0;}
	to{opacity: 1;}
}
*/
/* Header styles */
header{
	height: 60px;
	position: fixed;
	top: 0;
	/*transition: top 0.2s ease-in-out;*/
	width: 100%;
	z-index: 5;

	/* Blurred */
	background: #000;
	backdrop-filter:  blur(12px) grayscale(100%);
	-webkit-backdrop-filter: blur(12px) grayscale(100%);
	border-bottom: 1px solid #1e1f24;
}
/*.nav-up{  Header slide up class 
	top: -65px;
}*/
/*#header_title{
	text-align: center;
	width: 280px;
	color: #fff;
	color: var(--title-colour);
	font-size: 16px;
	font-weight: 500;
	margin-top: 20px;
	position: absolute;
	transition: visibility 0.25s, opacity 0.25s;
}*/
#header_links{ /* Float left instead of right so that the scrollbar does not move it. Changes to float right when hamburger menu shows */
	float: right;
	margin:  0 2em 0 0;
	font-family: 'Major Mono Display', monospace;
}
#header_links li{
	line-height: 55px;
	display: inline-block;
	text-align: center;
	min-width: 80px;
	margin-left: 20px;
	border-bottom: 5px solid transparent;
	transition: border-bottom-color 0.45s;
	font-size:  min(4vw, 1em);
}

#header_links > li a{
	text-decoration: none;
	color: #fff;
	color: #fff;
	display: block;
	background: none;
	padding: 0;
}
/*#current_link, #header_links > li:active{
	border-bottom: 5px solid #fff !important;
}
#header_links > li:hover{
	border-bottom: 5px solid #888;
}*/


#header_links > li:after {
	display:block;
	content: '';
	border-bottom: solid 5px #ffffff;  
	transform: scaleX(0);  
	transition: transform 250ms ease-in-out;
	transform-origin: 100% 50%;
}

#header_links > li:hover:after{
	transform: scaleX(1); transform-origin: 0% 50%;
}



/* Text styling */
h1{
	font-size: 8em;
	font-family: 'Gantari', sans-serif;
	word-wrap: break-word;
	white-space: normal;
	transition: font-size 0.5s ease-out;
	position: fixed;
	color: white;
	z-index: 2;
	font-weight: 700;
}

h2{
	font-size: 3.5em;
	font-family: 'Major Mono Display', monospace;
	margin: 0;
	word-break: break-word;
}
h3{
	font-family: 'Gantari', sans-serif;
	font-size: 2em;
	word-wrap: break-word;
	white-space: normal;
	margin: 2em 0 0.5em 0;
}

a:link{
  background: 
    linear-gradient(to right, var(--mid-color), var(--mid-color)),
    linear-gradient(to right, rgba(180, 50, 50, 1),  rgba(50, 50, 180, 1));
  background-size: 100% 1.4em, 0 1em;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: color 400ms, background-size 400ms;
  padding: 0.2em;
  text-decoration: none;
  /*border-radius: 0.2em;*/
}

a:hover {
	color: var(--fg-color);
  background-size: 0 0.1em, 100% 0.1em;
}


.shift_centre{
	width:  75%;
	margin: 0 auto;
	text-align: center;
}


/* Global elements  */

.shift_container{
	display: flex;
	align-items: stretch;
	flex-wrap: wrap;
	gap: 4em;
}




.shift_img{
	width: 100%;
	padding: 1em;
	box-sizing: border-box;
	filter: grayscale(100%);
	transition: filter 1s, transform 4s;
	transform: scale(0.98);
	margin-top: 2em;
}
.index_shift_container:hover .shift_img{
	filter: grayscale(0%);
	transform: scale(1);
}

.shift{
	flex-basis: 65%;
}

.image_container{
	flex-basis: 35%;
}


.shift_small{
	width: calc(50% - 4em);
	min-width: 400px;
}

.image_container_large{
	position:relative;
	width: 50%;
	max-height: 650px;
}



/* Main section */
main{
	background-color: var(--bg-color);
	    z-index: 2;
    position: absolute;
    width: 100%;
	/* add some random circles! */
	user-select: initial;
	-moz-user-select: text;
	-webkit-user-select: text;
}

#content{
	padding-top: 8em;
	max-width: min(80vw, 1440px);
	min-height: 70vh;
	margin: 0 auto;
}




/* Footer section */
footer{
	padding: 1em 2em 1.5em 2em;
	box-sizing: border-box;
	border-top:  1px solid #1e1f24;
	color: #757d81;
	line-height: 1.5em;
}
footer a:link, footer a:visited{
	opacity: 0.75;
}



/* Other elements */
hr{

	border: 0.5px solid var(--mid-color);
	background-color: var(--mid-color);
	margin: 10em 5em;
}

#theme_switch_btn{
	cursor: pointer;
    position: sticky;
    height: 50px;
    left: calc(100vw - 80px);
    bottom: 2vh;

    background: transparent;
	backdrop-filter:  blur(6px);
	-webkit-backdrop-filter: blur(6px);

	box-sizing: border-box;
	padding: 5px;
	border: 1px solid #555;
	border-radius: 25px;
	margin: 0 0 1vh 0;

}

#bottom_fade{
	width: 100%;
	height: 10vh;
	transition: 0.5s;
	background: linear-gradient(180deg, transparent 0%, var(--bg-color) 95%);
	position: sticky;
	bottom: 0;
}

.animate{
  animation: fade_fix 1s;
}

@keyframes fade_fix{
	from{
		opacity: 0;
	}
	to{
		opacity: 1;
	}
}

#parallaxTitle{
	position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}




/* INDEX SPECIFIC STYLES */
/* Card section */
#card_area{
	/*background: linear-gradient(190deg, #222222 0%, #17162e 100%);*/
	background: url('img/iceland_bubble.jpg') center;
	background-size: cover;

	height:100vh;

	font-size: 2vmin;

	/* Centering code */
	display: flex;
	justify-content: center;
	align-items: center;

	position: relative;
}
#biz_card{
	/*background: red;*/
	/* Blurred */
	backdrop-filter:  blur(12px);
	-webkit-backdrop-filter: blur(16px) grayscale(50%);
	width: 32em;
	height: 18.5em;
	box-sizing: border-box;
	padding: 5em 4em 0 4em;
	border-radius: 1.5em;


	background: url('img/bubbles/card_bubble.png') center, #060606ee;
	background-size: cover;


}
#card_container{
	transition: transform 0.4s;
	text-decoration: none;
	perspective: 1000px;
	z-index: 2;
}

#biz_card h2{
	font-size: 3em;
	color: white;
	letter-spacing: 0.2em;
	font-weight: normal;
	margin: 0;

}
#biz_card h3{
	text-align: right;
	font-weight: normal;
	font-size: 0.8em;
	color: #ccc;
	margin-top: 2em;
}

#gyro_btn{
	display: none;
	background: #ffffff;
	/* Blurred */
	background: linear-gradient(164deg, #0A031722 0%, #151515CC 100%);
	backdrop-filter:  blur(12px) grayscale(30%);
	-webkit-backdrop-filter: blur(12px);
	border:  1px solid grey;
	color: white;

	border-radius: 1.5em;
	height: 50px;
	position: absolute;
	bottom: 5em;
	margin: 0 auto;

	font-family: 'Cutive', monospace;
	padding: 1em;
}

#index_title_slide_up{
	color: #1e1e1e;
	animation: itslideup 3s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	opacity: 0;
	z-index: 0;
}
#index_title_slide_down{
	color: #1e1e1e;
	animation: itslidedown 3s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	opacity: 0;
	z-index: 0;
}
@keyframes itslideup{
	to{margin-bottom: 3em; opacity: 1;}
}
@keyframes itslidedown{
	to{margin-top: 3em; opacity: 1;}
}

/* Wave divider */
.wave_divider {
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
    z-index: 2;
}
.wave_divider svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 53px;
}
.wave_divider .shape-fill {
	transition: 0.5s;
    fill: var(--bg-color);
}
.wave_divider .shape-fill-none {
    stroke:  var(--bg-color);
    stroke-width: 3;
}

/* Content */
.index_shift_container{
	display: flex;
	gap: 2em;
}


/* contact area */
#links_box_left
{
	/*background: red;*/
	flex: 1 1 0px;
	width: 100%;
	text-align: right;
	padding-right: 2em;
	border-right: 8px dashed var(--mid-color);
}
#links_box_right
{
	/*background: green;*/
	flex: 1 1 0px;
	border-left: 8px solid var(--mid-color);
	padding-left: 2em;
}
.contact_links{
	list-style-type: none;
	/*background: grey;*/
	padding-left: 0;
	line-height: 2em;
	font-size: 1.2em;
}
li{
	/*background: white;*/
}
.mobile_only{
	display: none;
}


/* PROJECTS SPECIFIC STYLES */
#bubbles_area{
	/*background: linear-gradient(190deg, #222222 0%, #17162e 100%);*/
	background: url('img/bubbles.jpg') center;
	background-size: cover;

	height:85vh;

	font-size: 2vmin;
	overflow: hidden;
	/* Centering code */
	display: flex;
	justify-content: center;
	align-items: center;

	position: relative;
}
#project_title_slide_up{
	color: #1e1e1e;
	animation: ptslideup 1.2s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	z-index: 0;
	opacity: 0;
}
#project_title_slide_down{
	color: #1e1e1e;
	animation: ptslidedown 1.2s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	z-index: 1;
	opacity: 0;
}

@keyframes ptslideup{
	to{margin-bottom: 2.5em; opacity: 1;}
}
@keyframes ptslidedown{
	to{margin-top: 2.5em; opacity: 1;}
}

.bubble_container{
	z-index: 1;
	opacity: 0;
	animation: zoom-fade 1s 0.5s forwards;
	position: absolute;
}
.foreground_bubble{
	animation: hover 7s infinite alternate-reverse ease-in-out;
}

@keyframes zoom-fade{
	from{opacity: 0;
		transform: scale(0.5);}
	to{opacity: 1;}
}

@keyframes hover{
	from{transform: translateY(-20px);}
	to{transform: translateY(20px);}
}



/* RECORDS SPECIFIC STYLES */
#records_area{
	/*background: linear-gradient(190deg, #222222 0%, #17162e 100%);*/
	background: url('img/bubbles.jpg') center;
	background-size: cover;

	height:65vh;

	font-size: 2vmin;

	/* Centering code */
	display: flex;
	justify-content: center;
	align-items: center;

	position: relative;
}
#records_title_slide_up{
	color: #111;
	animation: rtslideup 1.2s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	opacity: 0;
}
#records_title_slide_down{
	color: #111;
	animation: rtslidedown 1.2s 0.85s forwards cubic-bezier(0.4, 0, 0, 1);
	opacity: 0;
}

@keyframes rtslideup{
	to{margin-bottom: 1.8em; opacity: 1;}
}
@keyframes rtslidedown{
	to{margin-top: 1.8em; opacity: 1;}
}
.cards_container{
	display: flex;
	flex-wrap: wrap;
	gap: 2.5em;
	justify-content: center;
	padding: 1em 0;
}

.card{
	position: relative;
	font-size: 0.9em;
	background: var(--mid-color);
	padding: 2em;
	box-sizing: border-box;
	border-radius: 1.5em;
	width: 405px;
	min-height: 265px;
	opacity: 0;
	border: 1px solid darkgrey;

	animation: slide-fade ease-out forwards;
	animation-duration: 0.35s;
}
.card h3{
	margin-top: 0;
}

.card:nth-child(3n){animation-delay: 0.2s;}
.card:nth-child(2n){animation-delay: 0.3s;}
.card:nth-child(5n){animation-delay: 0.4s;}
.card:nth-child(4n){animation-delay: 0.5s;}


@keyframes slide-fade{
	from{opacity: 0; transform: translate(0, 33px);}
	to{opacity: 1; transform: translate(0);}
}

.card_grade{
	position: absolute;
	right: 1em;
	bottom: -1em;

	
	width: 2em;
	height: 2em;
	/*background: #595b74;*/

	/* Text styles */
	font-weight: bold;
	font-size: 2em;
	text-align: center;
	line-height: 2em;
	color: #aaa;

	background-color: black;
	background: url('img/bubbles/elem_bubble.png') center;
	background-size: cover;
}
.sup{
	color: #aaa;
	font-size: 0.5em;
	    top: 1px;
    position: absolute;
}







/* Viewport handling */'
@media screen and (max-width: 1320px){ /* Tablet */}


@media screen and (max-width: 1200px){ /* Laptop */
	.shift_small, .image_container_large{
		width: 100%;
		min-width: 0;
	}
	.image_container_large{
		height: 35vh;
		max-width: 650px;
		margin: 0 auto;
	}
	.shift{
		flex-basis: 100%;
	}
	.index_shift_container{
		flex-wrap: wrap;
	}
	.image_container{
		width: 75vw;
		min-width: 300px;
		margin: 1em auto;
	}
	.hideable{
		display: none;
	}
	.shift_img{
		margin-top: 0;
	}

}

@media screen and (max-width: 960px){ /* Tablet */
	.shift_container{
		gap: 2em;
	}
	
	#links_box_right{
		/*flex: none;*/
		/*text-align: left;*/
		border: 0;
		/*padding: 0;*/
	}
	.index_shift_container{
		gap: 0;
	}
}




@media screen and (max-width: 650px){ /* Large-Mobile */
	h2{font-size: 2em;}
	.image_container{
		width: 55vw;
		margin: 1em auto;
	}
	hr{
		margin: 5em 0em;
	}


}

@media screen and (max-width: 520px){ /* Mobile */
	#header_links{
		margin: 0 4vw 0 0;
		padding: 0;
	}
	#card_area{
		height: 92vh;
	}

	#biz_card{
		width: 52em;
		height: 30em;
		padding: 6em 6em 0 6em;
		border-radius: 1.5em;
	}
	
	#biz_card h2{
		font-size: 5em;
		width: 45vh;

	}
	#biz_card h3{
		margin-top: 4em;
		font-size: 1.5em;
	}
	@keyframes fade-in{
	from{transform: translate(0, 10em) rotate(90deg);}
	to{transform: translate(0) rotate(90deg);}
}
	#card_container{
		animation: fade-in 0.5s ease-out forwards;
	}

	#card_container:hover{
	transform:  scale(1.03) rotate(90deg);
	}
	#card_container:active{
		transform:  scale(0.95) rotate(90deg);
	}

	#links_box_left, #links_box_right{
		flex: none;
		text-align: left;
		border: 0;
		padding: 0;
	}
	.mobile_only{
		display: block;
		font-size: 1.2em;
		opacity: 0.85;
	}

}


/* Browser support specific */
@supports (-webkit-backdrop-filter: blur()) or (backdrop-filter: blur()){
	#biz_card{
		background-color: transparent;
	}
	header{
		background: #00000055;
	}
}